=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwave
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
@@ -40,14 +41,14 @@
                qtbase5-dev (>= 5.15.0~),
                qtmultimedia5-dev (>= 5.15.0~),
 Homepage: https://apps.kde.org/en/kwave
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwave.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwave
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
 Rules-Requires-Root: no
 
 Package: kwave
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: sound editor for KDE
  Kwave is a sound editor designed for the KDE Desktop Environment.
  .
