## kwave 24.12.0

=== debian/changelog ===
kwave (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update build deps and build system for Qt6/KF6.
  * Bump standards to 4.7.0, no changes needed.
  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2024 05:31:10 +0000
