=== debian/control ===
--- 
+++ 
@@ -7,28 +7,28 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               dh-sequence-kf6,
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
                libasound2-dev [linux-any],
                libaudiofile-dev (>> 0.3.0),
                libfftw3-dev,
                libflac++-dev (>= 1.1.4),
                libid3-3.8.3-dev (>= 3.8.3-4.2),
-               libkf5archive-dev (>= 5.90.0~),
-               libkf5completion-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5configwidgets-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5crash-dev (>= 5.90.0~),
-               libkf5dbusaddons-dev (>= 5.90.0~),
-               libkf5doctools-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5service-dev (>= 5.33.0~),
-               libkf5textwidgets-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.90.0~),
+               libkf6archive-dev (>= 6.0.0~),
+               libkf6completion-dev (>= 6.0.0~),
+               libkf6config-dev (>= 6.0.0~),
+               libkf6configwidgets-dev (>= 6.0.0~),
+               libkf6coreaddons-dev (>= 6.0.0~),
+               libkf6crash-dev (>= 6.0.0~),
+               libkf6dbusaddons-dev (>= 6.0.0~),
+               libkf6doctools-dev (>= 6.0.0~),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
+               libkf6kio-dev (>= 6.0.0~),
+               libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.0.0~),
+               libkf6xmlgui-dev (>= 6.0.0~),
                libmad0-dev,
                libogg-dev,
                libopus-dev (>= 1.0.0),
@@ -36,12 +36,11 @@
                librsvg2-bin,
                libsamplerate0-dev,
                libvorbis-dev (>= 1.0.0-2),
-               pkg-config,
-               pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.15.0~),
-               qtmultimedia5-dev (>= 5.15.0~),
+               pkgconf,
+               qt6-base-dev (>= 6.6.0~),
+               qt6-multimedia-dev (>= 6.6.0~)
 Homepage: https://apps.kde.org/en/kwave
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
 Rules-Requires-Root: no
