=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                libvorbis-dev (>= 1.0.0-2),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
-               qt6-multimedia-dev (>= 6.6.0~)
+               qt6-multimedia-dev (>= 6.6.0~),
 Homepage: https://apps.kde.org/en/kwave
 Standards-Version: 4.7.0
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
