## kwave 24.12.2

=== debian/changelog ===
kwave (24.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to declarative KF6 debhelper build sequence.
  * Xvfb is now required for some build-time tests.
  * Make test failures non-blocking.
  * Switch away from transitional pkg-config build dependency.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 19:01:38 +0100
