=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: kwave
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libasound2-dev [linux-any],
@@ -39,15 +38,17 @@
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
                qt6-multimedia-dev (>= 6.6.0~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Homepage: https://apps.kde.org/en/kwave
 Standards-Version: 4.7.0
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwave
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwave.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwave
 Rules-Requires-Root: no
 
 Package: kwave
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: sound editor for KDE
  Kwave is a sound editor designed for the KDE Desktop Environment.
  .
